summaryrefslogtreecommitdiffstats
path: root/deps/qt-gstreamer
diff options
context:
space:
mode:
author Eric Hameleers <alien@slackware.com>2015-01-09 00:06:49 +0100
committer Eric Hameleers <alien@slackware.com>2015-01-09 00:06:49 +0100
commitda1be5a21ba06235b67a999f696ec66e35dc17a1 (patch)
tree6df637d821a6ac0ad65f8caaf967ea2a6956a862 /deps/qt-gstreamer
parentb1b35d20ce6b70330b23a9d056dcb44b58795bd6 (diff)
downloadktown-da1be5a21ba06235b67a999f696ec66e35dc17a1.tar.gz
ktown-da1be5a21ba06235b67a999f696ec66e35dc17a1.tar.xz
Prepare for new KDE 5: Frameworks 5.6.0, Plasma 5.1.2, Applications 14.12.0.
KDE 5_1501 ========== This is going to be KDE 5 for Slackware-current, composed of Frameworks 5.6.0, Plasma 5.1.2 and Applications 14.12.0. Note that there is still a lot of KDE 4 stuff in here, which is necessary to support all the Applications that have not yet been ported to KDE Frameworks 5. The Applications 15.04 (march 2015) release should offer a lot more KF5 ports. Preliminary build procedure (not verified 100% yet): ---------------------------------------------------- - (crude) get rid of Slackware's KDE: removepkg /var/log/packages/*-4.10.5-* - build all the deps using "updates.SlackBuild" script in the "deps/" directory - note that extra-cmake-modules is required here as well as when building the frameworks, so I just copied it from frameworks to deps. - logoff/login to activate Qt5 profile script. - removepkg akonadi-qt5 or else kdepimlibs-4.14.3 picks up Qt5 dependencies and its compilation will fail as a result - build all the KDE 4 stuff in the "kde/" directory, using "./KDE.SlackBuild kde libs kdebase:nepomuk-core kdepimlibs kdebase kdebindings kdebase:kde-workspace k depim extragear" - installpkg akonadi-qt5 - build the remaining KDE 5 stuff in the "kde/" directory, using "./KDE.SlackBui ld frameworks plasma plasma-extra polkit-kde applications" - build kdei ============================================================================== Eric Hameleers / alien at slackware dot com / 09-jan-2015
Diffstat (limited to '')
-rw-r--r--deps/qt-gstreamer/doinst.sh.gzbin0 -> 110 bytes
-rwxr-xr-xdeps/qt-gstreamer/qt-gstreamer.SlackBuild125
-rw-r--r--deps/qt-gstreamer/slack-desc19
-rw-r--r--deps/qt-gstreamer1/doinst.sh.gzbin0 -> 110 bytes
-rwxr-xr-xdeps/qt-gstreamer1/qt-gstreamer1.SlackBuild (renamed from deps/qt5-gstreamer/qt5-gstreamer.SlackBuild)61
-rw-r--r--deps/qt-gstreamer1/slack-desc19
6 files changed, 193 insertions, 31 deletions
diff --git a/deps/qt-gstreamer/doinst.sh.gz b/deps/qt-gstreamer/doinst.sh.gz
new file mode 100644
index 0000000..bedb7a0
--- /dev/null
+++ b/deps/qt-gstreamer/doinst.sh.gz
Binary files differ
diff --git a/deps/qt-gstreamer/qt-gstreamer.SlackBuild b/deps/qt-gstreamer/qt-gstreamer.SlackBuild
new file mode 100755
index 0000000..e75f55d
--- /dev/null
+++ b/deps/qt-gstreamer/qt-gstreamer.SlackBuild
@@ -0,0 +1,125 @@
+#!/bin/sh
+
+# Copyright 2014 Patrick J. Volkerding, Sebeka, MN, USA
+# Copyright 2014, 2015 Eric Hameleers, Eindhoven, NL
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PKGNAM=qt-gstreamer
+VERSION=${VERSION:-0.10.3}
+BUILD=${BUILD:-2}
+
+NUMJOBS=${NUMJOBS:--j7}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$(uname -m) ;;
+ esac
+ export ARCH
+fi
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "armv7hl" ]; then
+ SLKCFLAGS="-O2 -march=armv7-a -mfpu=vfpv3-d16"
+ LIBDIRSUFFIX=""
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp}
+PKG=$TMP/package-$PKGNAM
+
+rm -rf $PKG
+mkdir -p $TMP $PKG
+cd $TMP
+rm -rf $PKGNAM-$VERSION
+tar xvf $CWD/$PKGNAM-$VERSION.tar.?z* || exit 1
+cd $PKGNAM-$VERSION || exit 1
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DQT_VERSION=4 \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+cd -
+
+# Conditional build of Qt5 support:
+if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
+ mkdir -p build-qt5
+ cd build-qt5
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DQT_VERSION=5 \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+ cd -
+fi
+
+if [ -d $PKG/usr/man ]; then
+ gzip -9 $PKG/usr/man/man?/*
+fi
+
+mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
+cp -a \
+ COPYING HACKING NEWS README \
+ $PKG/usr/doc/$PKGNAM-$VERSION
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" \
+ | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+zcat $CWD/doinst.sh.gz > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $TMP/$PKGNAM-$VERSION-$ARCH-$BUILD.txz
+
diff --git a/deps/qt-gstreamer/slack-desc b/deps/qt-gstreamer/slack-desc
new file mode 100644
index 0000000..3ae6605
--- /dev/null
+++ b/deps/qt-gstreamer/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+qt-gstreamer: qt-gstreamer (C++ bindings for gstreamer)
+qt-gstreamer:
+qt-gstreamer: QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
+qt-gstreamer: plus some helper classes and elements for integrating GStreamer
+qt-gstreamer: better in Qt applications.
+qt-gstreamer: The goal of this module is to allow easy use of GStreamer for
+qt-gstreamer: applications targetting MeeGo Mobile or the KDE desktop.
+qt-gstreamer:
+qt-gstreamer: Homepage:
+qt-gstreamer: http://gstreamer.freedesktop.org/modules/qt-gstreamer.html
+qt-gstreamer:
diff --git a/deps/qt-gstreamer1/doinst.sh.gz b/deps/qt-gstreamer1/doinst.sh.gz
new file mode 100644
index 0000000..bedb7a0
--- /dev/null
+++ b/deps/qt-gstreamer1/doinst.sh.gz
Binary files differ
diff --git a/deps/qt5-gstreamer/qt5-gstreamer.SlackBuild b/deps/qt-gstreamer1/qt-gstreamer1.SlackBuild
index 12be5a4..b2cc3c0 100755
--- a/deps/qt5-gstreamer/qt5-gstreamer.SlackBuild
+++ b/deps/qt-gstreamer1/qt-gstreamer1.SlackBuild
@@ -1,7 +1,7 @@
#!/bin/sh
# Copyright 2014 Patrick J. Volkerding, Sebeka, MN, USA
-# Copyright 2014 Eric Hameleers, Eindhoven, NL
+# Copyright 2014, 2015 Eric Hameleers, Eindhoven, NL
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -22,23 +22,22 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
-PKGNAM=qt5-gstreamer
+PKGNAM=qt-gstreamer1
SRCNAM=qt-gstreamer
-VERSION=${VERSION:-0.10.3}
-BUILD=${BUILD:-1}
+VERSION=${VERSION:-1.2.0}
+BUILD=${BUILD:-2}
NUMJOBS=${NUMJOBS:--j7}
# Automatically determine the architecture we're building on:
-MARCH=$( uname -m )
if [ -z "$ARCH" ]; then
- case "$MARCH" in
- i?86) export ARCH=i486 ;;
- armv7hl) export ARCH=$MARCH ;;
- arm*) export ARCH=arm ;;
+ case "$(uname -m)" in
+ i?86) ARCH=i486 ;;
+ arm*) readelf /usr/bin/file -A | egrep -q "Tag_CPU.*[4,5]" && ARCH=arm || ARCH=armv7lh ;;
# Unless $ARCH is already set, use uname -m for all other archs:
- *) export ARCH=$MARCH ;;
+ *) ARCH=$(uname -m) ;;
esac
+ export ARCH
fi
if [ "$ARCH" = "i486" ]; then
@@ -60,7 +59,7 @@ fi
CWD=$(pwd)
TMP=${TMP:-/tmp}
-PKG=$TMP/package-$SRCNAM
+PKG=$TMP/package-$PKGNAM
rm -rf $PKG
mkdir -p $TMP $PKG
@@ -75,37 +74,37 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# Eventually, we need to merge qt5-gstreamer into the qt-gstreamer package.
-# When that happens, simply un-comment the section below and rename the package
-# to qt-gstreamer. It will then have both qt4 and qt5 support.
-#mkdir -p build
-#cd build
-# cmake \
-# -DCMAKE_BUILD_TYPE=Release \
-# -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-# -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-# -DCMAKE_INSTALL_PREFIX=/usr \
-# -DLIB_SUFFIX=${LIBDIRSUFFIX} \
-# -DQT_VERSION=4 \
-# ..
-# make $NUMJOBS || make || exit 1
-# make install DESTDIR=$PKG || exit 1
-#cd -
-
-mkdir -p build-qt5
-cd build-qt5
+mkdir -p build
+cd build
cmake \
-DCMAKE_BUILD_TYPE=Release \
-DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
-DCMAKE_INSTALL_PREFIX=/usr \
-DLIB_SUFFIX=${LIBDIRSUFFIX} \
- -DQT_VERSION=5 \
+ -DQT_VERSION=4 \
..
make $NUMJOBS || make || exit 1
make install DESTDIR=$PKG || exit 1
cd -
+# Conditional build of Qt5 support:
+if qtpaths-qt5 --qt-version 1>/dev/null 2>/dev/null ; then
+ mkdir -p build-qt5
+ cd build-qt5
+ cmake \
+ -DCMAKE_BUILD_TYPE=Release \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DQT_VERSION=5 \
+ ..
+ make $NUMJOBS || make || exit 1
+ make install DESTDIR=$PKG || exit 1
+ cd -
+fi
+
if [ -d $PKG/usr/man ]; then
gzip -9 $PKG/usr/man/man?/*
fi
diff --git a/deps/qt-gstreamer1/slack-desc b/deps/qt-gstreamer1/slack-desc
new file mode 100644
index 0000000..cf20a0e
--- /dev/null
+++ b/deps/qt-gstreamer1/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-----------------------------------------------------|
+qt-gstreamer1: qt-gstreamer1 (C++ bindings for gstreamer1)
+qt-gstreamer1:
+qt-gstreamer1: QtGStreamer provides C++ bindings for GStreamer with a Qt-style API,
+qt-gstreamer1: plus some helper classes and elements for integrating GStreamer
+qt-gstreamer1: better in Qt applications.
+qt-gstreamer1: The goal of this module is to allow easy use of GStreamer for
+qt-gstreamer1: applications targetting MeeGo Mobile or the KDE desktop.
+qt-gstreamer1:
+qt-gstreamer1: Homepage:
+qt-gstreamer1: http://gstreamer.freedesktop.org/modules/qt-gstreamer.html
+qt-gstreamer1: